function A=brown(n,epsilon)
%
% A = brown(n,epsilon)
% 
% This file creates a tridiagonal matrix A whose entries are defined by :
%    A(i,i-1) = -1
%    A(i,i) = epsilon
%    A(i,i+1) = 1
%
% Input : 
%           n       : size of the matrix A
%           epsilon : diagonal value
% Output : 
%           A       : square matrix of size n as described above 
%
% 20 February 15
%
A=zeros(n,n);
for i=1:n
    if i<n
        A(i,i+1)=1;
    end
    if i>1
        A(i,i-1)=-1;
    end
    A(i,i)=epsilon;
end
